package com.lantone.qc.kernel.catalogue.behospitalized;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.kernel.util.CatalogueUtil;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.util.StringUtil;
import org.springframework.stereotype.Component;

import java.util.Map;


/**
 * @ClassName : BEH02855
 * @Description : 过敏史未填写
 * @Author : 胡敬
 * @Date: 2020-06-15 16:09
 */
@Component
public class BEH02855 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        if (inputInfo.getBeHospitalizedDoc() == null) {
            status.set("0");
            return;
        }
        Map<String, String> bhMap = inputInfo.getBeHospitalizedDoc().getStructureMap();
        if (StringUtil.isNotEmpty(bhMap.get("过敏史"))) {
            status.set("0");
        }
    }
}